For the complete documentation index, see llms.txt. This page is also available as Markdown.

Join a team with invitation token

This endpoint enables users to join a team using a valid and unexpired invitation token. Users send a POST request that includes the invitationToken to authenticate their request to join the specified

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint enables users to join a team using a valid and unexpired invitation token. Users send a POST request that includes the invitationToken to authenticate their request to join the specified team. This ensures only those with valid and unexpired tokens can join the team."

Join a team with invitation token

Join a team with invitation token

post

This endpoint enables users to join a team using a valid and unexpired invitation token. Users send a POST request that includes the invitationToken to authenticate their request to join the specified team. This ensures only those with valid and unexpired tokens can join the team.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
invitationTokenstringRequired

A valid token required to authorize the request to join the team. You can retrieve the invitation token by using the Invite a user to the team endpoint.

Example: ABC123
Responses
200

The user has successfully joined the team using the provided invitation token.

application/json
post/v2/join-team-by-token
POST /v2/join-team-by-token HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "invitationToken": "ABC123"
}
{
  "userAccess": {
    "clientIp": "192.168.1.100",
    "consumedPermissions": {
      "ANY_ADDITIONAL_PROPERTY": {
        "permissions": [
          {
            "action": "ACTION_READ",
            "subject": "SUBJECT_AD"
          }
        ]
      }
    },
    "id": "user-456",
    "isAdmin": "true",
    "namespace": "marketing-dept",
    "systemPermissions": [
      {
        "action": "ACTION_READ",
        "subject": "SUBJECT_AD"
      }
    ]
  }
}